package mhp.oee.po.gen;

import java.math.BigDecimal;
import java.util.Date;

public class WorkCenterShiftPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column work_center_shift.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column work_center_shift.WORK_CENTER_BO
     *
     * @mbggenerated
     */
    private String workCenterBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column work_center_shift.SHIFT
     *
     * @mbggenerated
     */
    private String shift;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column work_center_shift.START_TIME
     *
     * @mbggenerated
     */
    private Date startTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column work_center_shift.END_TIME
     *
     * @mbggenerated
     */
    private Date endTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column work_center_shift.SHIFT_DURATION
     *
     * @mbggenerated
     */
    private BigDecimal shiftDuration;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column work_center_shift.DESCRIPTION
     *
     * @mbggenerated
     */
    private String description;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column work_center_shift.ENABLED
     *
     * @mbggenerated
     */
    private String enabled;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column work_center_shift.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column work_center_shift.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column work_center_shift.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column work_center_shift.HANDLE
     *
     * @return the value of work_center_shift.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column work_center_shift.HANDLE
     *
     * @param handle the value for work_center_shift.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column work_center_shift.WORK_CENTER_BO
     *
     * @return the value of work_center_shift.WORK_CENTER_BO
     *
     * @mbggenerated
     */
    public String getWorkCenterBo() {
        return workCenterBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column work_center_shift.WORK_CENTER_BO
     *
     * @param workCenterBo the value for work_center_shift.WORK_CENTER_BO
     *
     * @mbggenerated
     */
    public void setWorkCenterBo(String workCenterBo) {
        this.workCenterBo = workCenterBo == null ? null : workCenterBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column work_center_shift.SHIFT
     *
     * @return the value of work_center_shift.SHIFT
     *
     * @mbggenerated
     */
    public String getShift() {
        return shift;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column work_center_shift.SHIFT
     *
     * @param shift the value for work_center_shift.SHIFT
     *
     * @mbggenerated
     */
    public void setShift(String shift) {
        this.shift = shift == null ? null : shift.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column work_center_shift.START_TIME
     *
     * @return the value of work_center_shift.START_TIME
     *
     * @mbggenerated
     */
    public Date getStartTime() {
        return startTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column work_center_shift.START_TIME
     *
     * @param startTime the value for work_center_shift.START_TIME
     *
     * @mbggenerated
     */
    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column work_center_shift.END_TIME
     *
     * @return the value of work_center_shift.END_TIME
     *
     * @mbggenerated
     */
    public Date getEndTime() {
        return endTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column work_center_shift.END_TIME
     *
     * @param endTime the value for work_center_shift.END_TIME
     *
     * @mbggenerated
     */
    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column work_center_shift.SHIFT_DURATION
     *
     * @return the value of work_center_shift.SHIFT_DURATION
     *
     * @mbggenerated
     */
    public BigDecimal getShiftDuration() {
        return shiftDuration;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column work_center_shift.SHIFT_DURATION
     *
     * @param shiftDuration the value for work_center_shift.SHIFT_DURATION
     *
     * @mbggenerated
     */
    public void setShiftDuration(BigDecimal shiftDuration) {
        this.shiftDuration = shiftDuration;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column work_center_shift.DESCRIPTION
     *
     * @return the value of work_center_shift.DESCRIPTION
     *
     * @mbggenerated
     */
    public String getDescription() {
        return description;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column work_center_shift.DESCRIPTION
     *
     * @param description the value for work_center_shift.DESCRIPTION
     *
     * @mbggenerated
     */
    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column work_center_shift.ENABLED
     *
     * @return the value of work_center_shift.ENABLED
     *
     * @mbggenerated
     */
    public String getEnabled() {
        return enabled;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column work_center_shift.ENABLED
     *
     * @param enabled the value for work_center_shift.ENABLED
     *
     * @mbggenerated
     */
    public void setEnabled(String enabled) {
        this.enabled = enabled == null ? null : enabled.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column work_center_shift.CREATED_DATE_TIME
     *
     * @return the value of work_center_shift.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column work_center_shift.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for work_center_shift.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column work_center_shift.MODIFIED_DATE_TIME
     *
     * @return the value of work_center_shift.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column work_center_shift.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for work_center_shift.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column work_center_shift.MODIFIED_USER
     *
     * @return the value of work_center_shift.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column work_center_shift.MODIFIED_USER
     *
     * @param modifiedUser the value for work_center_shift.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}